"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _normalizeTailwindDirectives = _interopRequireDefault(require("./lib/normalizeTailwindDirectives"));

var _setupTrackingContext = _interopRequireDefault(require("./lib/setupTrackingContext"));

var _setupWatchingContext = _interopRequireDefault(require("./lib/setupWatchingContext"));

var _sharedState = require("./lib/sharedState");

var _processTailwindFeatures = _interopRequireDefault(require("./processTailwindFeatures"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _default(configOrPath = {}) {
  return [_sharedState.env.DEBUG && function (root) {
    console.log('\n');
    console.time('JIT TOTAL');
    return root;
  }, function (root, result) {
    function registerDependency(fileName, type = 'dependency') {
      result.messages.push({
        type,
        plugin: 'tailwindcss',
        parent: result.opts.from,
        [type === 'dir-dependency' ? 'dir' : 'file']: fileName
      });
    }

    let tailwindDirectives = (0, _normalizeTailwindDirectives.default)(root);
    let context = _sharedState.env.TAILWIND_DISABLE_TOUCH ? (0, _setupTrackingContext.default)(configOrPath, tailwindDirectives, registerDependency)(result, root) : (0, _setupWatchingContext.default)(configOrPath, tailwindDirectives, registerDependency)(result, root);
    (0, _processTailwindFeatures.default)(context)(root, result);
  }, _sharedState.env.DEBUG && function (root) {
    console.timeEnd('JIT TOTAL');
    console.log('\n');
    return root;
  }].filter(Boolean);
}